Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.importstree
Class ImportsTreeNode

    java.lang.Object
      edu.stanford.smi.protege.util.LazyTreeNode
          edu.stanford.smi.protegex.owl.ui.importstree.ImportsTreeNode

All Implemented Interfaces:
  TreeNode

    public class ImportsTreeNode

extends edu.stanford.smi.protege.util.LazyTreeNode

Author:
  Holger Knublauch

Constructor Summary
`ImportsTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parent, RDFResource resource)`

Method Summary
`protected edu.stanford.smi.protege.util.LazyTreeNode` | `createNode(Object o)`
`protected void` | `dispose()`
`protected int` | `getChildObjectCount()`
`protected Collection` | `getChildObjects()`
`protected Comparator` | `getComparator()`
`protected edu.stanford.smi.protege.event.FrameListener` | `getFrameListener()`

Methods inherited from class edu.stanford.smi.protege.util.LazyTreeNode
`childAdded, childAdded, childRemoved, children, compareTo, equals, getAllowsChildren, getChildAt, getChildCount, getIndex, getIndex, getLazyTreeNodeParent, getParent, getUserObject, getUserObjectIndex, isDuplicate, isLeaf, isSorted, loadChildObjects, notifyChildNodeAdded, notifyChildNodeRemoved, notifyNodeChanged, notifyNodeStructureChanged, reload, reload, setIsLoaded, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImportsTreeNode

    public ImportsTreeNode(edu.stanford.smi.protege.util.LazyTreeNode parent,
                           RDFResource resource)

Method Detail

### createNode

    protected edu.stanford.smi.protege.util.LazyTreeNode createNode(Object o)

  Specified by:
    `createNode` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildObjectCount

    protected int getChildObjectCount()

  Specified by:
    `getChildObjectCount` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getChildObjects

    protected Collection getChildObjects()

  Specified by:
    `getChildObjects` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getComparator

    protected Comparator getComparator()

  Specified by:
    `getComparator` in class `edu.stanford.smi.protege.util.LazyTreeNode`

### getFrameListener

    protected edu.stanford.smi.protege.event.FrameListener getFrameListener()

### dispose

    protected void dispose()

  Overrides:
    `dispose` in class `edu.stanford.smi.protege.util.LazyTreeNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.